/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
/**
 * @generated from message gitpod.v1.CreateTemporaryAccessTokenRequest
 */
export declare class CreateTemporaryAccessTokenRequest extends Message<CreateTemporaryAccessTokenRequest> {
    /**
     * user_id is the identifier of the user for which the token is created.
     *
     * @generated from field: string user_id = 1;
     */
    userId: string;
    /**
     * expiry_seconds is the number of seconds the token is valid for.
     * value should in the range [1, 600]
     *
     * @generated from field: int32 expiry_seconds = 2;
     */
    expirySeconds: number;
    constructor(data?: PartialMessage<CreateTemporaryAccessTokenRequest>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateTemporaryAccessTokenRequest";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateTemporaryAccessTokenRequest;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateTemporaryAccessTokenRequest;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateTemporaryAccessTokenRequest;
    static equals(a: CreateTemporaryAccessTokenRequest | PlainMessage<CreateTemporaryAccessTokenRequest> | undefined, b: CreateTemporaryAccessTokenRequest | PlainMessage<CreateTemporaryAccessTokenRequest> | undefined): boolean;
}
/**
 * @generated from message gitpod.v1.CreateTemporaryAccessTokenResponse
 */
export declare class CreateTemporaryAccessTokenResponse extends Message<CreateTemporaryAccessTokenResponse> {
    /**
     * cookie_name is the name of the cookie to use for the token.
     *
     * @generated from field: string cookie_name = 1;
     */
    cookieName: string;
    /**
     * @generated from field: string token = 2;
     */
    token: string;
    constructor(data?: PartialMessage<CreateTemporaryAccessTokenResponse>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "gitpod.v1.CreateTemporaryAccessTokenResponse";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): CreateTemporaryAccessTokenResponse;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): CreateTemporaryAccessTokenResponse;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): CreateTemporaryAccessTokenResponse;
    static equals(a: CreateTemporaryAccessTokenResponse | PlainMessage<CreateTemporaryAccessTokenResponse> | undefined, b: CreateTemporaryAccessTokenResponse | PlainMessage<CreateTemporaryAccessTokenResponse> | undefined): boolean;
}
//# sourceMappingURL=token_pb.d.ts.map