"use strict";
/**
 * Copyright (c) 2024 Gitpod GmbH. All rights reserved.
 * Licensed under the GNU Affero General Public License (AGPL).
 * See License.AGPL.txt in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTemporaryAccessTokenResponse = exports.CreateTemporaryAccessTokenRequest = void 0;
const protobuf_1 = require("@bufbuild/protobuf");
/**
 * @generated from message gitpod.v1.CreateTemporaryAccessTokenRequest
 */
class CreateTemporaryAccessTokenRequest extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * user_id is the identifier of the user for which the token is created.
         *
         * @generated from field: string user_id = 1;
         */
        this.userId = "";
        /**
         * expiry_seconds is the number of seconds the token is valid for.
         * value should in the range [1, 600]
         *
         * @generated from field: int32 expiry_seconds = 2;
         */
        this.expirySeconds = 0;
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateTemporaryAccessTokenRequest().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateTemporaryAccessTokenRequest().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateTemporaryAccessTokenRequest().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateTemporaryAccessTokenRequest, a, b);
    }
}
exports.CreateTemporaryAccessTokenRequest = CreateTemporaryAccessTokenRequest;
CreateTemporaryAccessTokenRequest.runtime = protobuf_1.proto3;
CreateTemporaryAccessTokenRequest.typeName = "gitpod.v1.CreateTemporaryAccessTokenRequest";
CreateTemporaryAccessTokenRequest.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "user_id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "expiry_seconds", kind: "scalar", T: 5 /* ScalarType.INT32 */ },
]);
/**
 * @generated from message gitpod.v1.CreateTemporaryAccessTokenResponse
 */
class CreateTemporaryAccessTokenResponse extends protobuf_1.Message {
    constructor(data) {
        super();
        /**
         * cookie_name is the name of the cookie to use for the token.
         *
         * @generated from field: string cookie_name = 1;
         */
        this.cookieName = "";
        /**
         * @generated from field: string token = 2;
         */
        this.token = "";
        protobuf_1.proto3.util.initPartial(data, this);
    }
    static fromBinary(bytes, options) {
        return new CreateTemporaryAccessTokenResponse().fromBinary(bytes, options);
    }
    static fromJson(jsonValue, options) {
        return new CreateTemporaryAccessTokenResponse().fromJson(jsonValue, options);
    }
    static fromJsonString(jsonString, options) {
        return new CreateTemporaryAccessTokenResponse().fromJsonString(jsonString, options);
    }
    static equals(a, b) {
        return protobuf_1.proto3.util.equals(CreateTemporaryAccessTokenResponse, a, b);
    }
}
exports.CreateTemporaryAccessTokenResponse = CreateTemporaryAccessTokenResponse;
CreateTemporaryAccessTokenResponse.runtime = protobuf_1.proto3;
CreateTemporaryAccessTokenResponse.typeName = "gitpod.v1.CreateTemporaryAccessTokenResponse";
CreateTemporaryAccessTokenResponse.fields = protobuf_1.proto3.util.newFieldList(() => [
    { no: 1, name: "cookie_name", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 2, name: "token", kind: "scalar", T: 9 /* ScalarType.STRING */ },
]);
//# sourceMappingURL=token_pb.js.map